<?php
// #######################################################
// Author: Markus Widmer
// Creation date: 18.07.2007
// Modification date: 18.07.2008
// Version: 0.1.1
// #######################################################


require_once( "../soapTypes.inc.php" );
require_once( "wsdlDefinition.include.php" );



// -----------------------------------------------------
// You'll need these services
// -----------------------------------------------------


echo "<BODY><HTML>";

if( isset( $_POST['wsdl'] ) ) {

  $soapExtra = new SoapClient( $arrExtraWsdl[$_POST['wsdl']]['url'] );

}
else {

  $soapExtra = new SoapClient( $arrExtraWsdl[0]['url'] );

}



if( isset( $_POST['auth'] ) ) {

  // -----------------------------------------------------
  // If this was successfull you can add a the user you
  // wish to create
  // -----------------------------------------------------
  $regReq = new registerResourceRequest();
  $regReq->auth = $_POST['auth'];
  $regReq->log = "";
  $regReq->project = $_POST['project'];
  $regReq->uri = $_POST['uri'];


  echo "<HR/>";
  echo "Adding resource...<BR/>";

  try {

    $registerResourceResponse = $soapExtra->registerResource( $regReq );

    if( $registerResourceResponse->result ) {

      echo "DONE.<BR>";

    }
    else {

      echo "UNABLE to commit!<BR>";

    }

  }
  catch( SoapFault $f ) {

    echo "SOAP FAULT!: " . $f->faultcode . " / " . $f->faultstring . " / " . $f->detail;

  }

}


echo "<FORM action=\"registerResource.php\" method=\"post\" enctype=\"multipart/form-data\">\n";
echo "Target: ";
echo "<SELECT name=\"wsdl\">\n";

for( $i = 0; $i < sizeof( $arrExtraWsdl ); $i++ ) {

  echo "<OPTION value=\"" . $i . "\">" . $arrExtraWsdl[$i]['name'] . "</OPTION>\n";

}

echo "</SELECT><BR>\n";
echo "Auth: <INPUT type=\"text\" name=\"auth\" value=\"\"><BR>\n";
echo "Project-Name: <INPUT type=\"text\" name=\"project\" value=\"\"><BR>\n";
echo "URI: <INPUT type=\"text\" name=\"uri\" value=\"\"><BR>\n";
echo "<INPUT type=\"submit\" value=\"Commit...\">\n";
echo "</FORM>\n";

echo "</BODY></HTML>";

?>
